classification
Title: Improve What's New in 3.7
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Elvis.Pranskevichus, bbayles, docs@python, levkivskyi, miss-islington, ned.deily, serhiy.storchaka, yselivanov
Priority: normal Keywords: patch

Created on 2018-03-05 11:56 by serhiy.storchaka, last changed 2019-10-15 07:30 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 5983 merged serhiy.storchaka, 2018-03-05 11:58
PR 6071 merged miss-islington, 2018-03-11 01:49
PR 6978 merged Elvis.Pranskevichus, 2018-05-18 22:40
PR 6998 merged Elvis.Pranskevichus, 2018-05-20 03:34
PR 7988 merged Elvis.Pranskevichus, 2018-06-28 15:47
PR 7989 merged miss-islington, 2018-06-28 15:58
PR 16646 merged python-dev, 2019-10-08 10:02
PR 16648 closed eirrgang, 2019-10-08 10:34
PR 16696 merged miss-islington, 2019-10-10 11:11
PR 16697 merged miss-islington, 2019-10-10 11:12
Messages (17)
msg313243 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-05 11:56
The following PR fixes and improves formatting in the "What's New in Python 3.7" document, adds links to issues and authors names.

This is just one step. Somebody need to review NEWS entries and adds corresponding What's New entries if they are worth this, and later edit the wording of the final document.
msg313577 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-11 01:48
New changeset 51302a5fcc557e6afc0bf1e3b371f5f37c76dc77 by Serhiy Storchaka in branch 'master':
bpo-32996: Improve What's New in 3.7. (#5983)
https://github.com/python/cpython/commit/51302a5fcc557e6afc0bf1e3b371f5f37c76dc77
msg313581 - (view) Author: miss-islington (miss-islington) Date: 2018-03-11 06:29
New changeset 720a4b69c6b66ae5d6f447d5814bd204170c94b3 by Miss Islington (bot) in branch '3.7':
bpo-32996: Improve What's New in 3.7. (GH-5983)
https://github.com/python/cpython/commit/720a4b69c6b66ae5d6f447d5814bd204170c94b3
msg313603 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-11 16:02
The most breaking change in 3.7 (according to the statistics of GitHub issues) is making async a keyword. But this change is even not mentioned in What's New.
msg313620 - (view) Author: bbayles (bbayles) * Date: 2018-03-11 20:26
Two things I'm familiar with that should probably be mentioned in the Library updates:

* bpo-32102: New argument capture_output for subprocess.run
* bpo-21417: Added support for setting the compression level for zipfile.ZipFile.
msg313622 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-11 21:29
Thanks for the comments here.  As noted by Yury in PR 5983:  "Looks good. Keep in mind that @elprans and I will edit what's new (as we did for 3.5 & 3.6) closer to 3.7 release."
msg314363 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-03-24 10:27
Different projects solve the problem with async in different ways. Many of them rename "async" parameter to "async_". Some renames it to "_async" or replace with an opposite parameter "sync". Some projects keep supporting of "async" in older Python versions by using var-keyword parameters, but not all are aware of this possibility. If the preferable way be described in the What's New, it would help porting to 3.7.

Another important language change missed in the What's New is keeping insertion order in dicts.
msg317108 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-19 08:27
Sorry, I appreciate your work, Elvis, but the current version of PR 6978 seems containing too much insignificant details, which are not worth an entry in What's New. They distract attention from important changes. I think this PR should be significantly shortened.

To me, What's New is not a structured copy of Misc/NEWS. It serves two purposes:

1. Advertising new features.

2. Warning about possible breaks or future breaks.

If the change doesn't add a new way of doing something and doesn't break significant part of code, it is not worth mentioning in What's New.

PR 6978 also adds entries for bug fixes, which shouldn't be in this document.
msg317112 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2018-05-19 11:11
Thanks for the feedback Serhiy!  I'll make an editorial pass to address the comments shortly.  In general, I prefer thoroughness in the initial What's New edit to make sure we don't miss something important.
msg317150 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-20 03:15
New changeset 63536bd286097e770909052052a21804a5e09b66 by Yury Selivanov (Elvis Pranskevichus) in branch 'master':
bpo-32996: The bulk of What's New in Python 3.7 (GH-6978)
https://github.com/python/cpython/commit/63536bd286097e770909052052a21804a5e09b66
msg317151 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-20 03:39
New changeset 15f3d0cc7660ee62c7a1c0420afaee18c26a2a1f by Yury Selivanov (Elvis Pranskevichus) in branch '3.7':
[3.7] bpo-32996: The bulk of What's New in Python 3.7 (GH-6978). (GH-6998)
https://github.com/python/cpython/commit/15f3d0cc7660ee62c7a1c0420afaee18c26a2a1f
msg320672 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-06-28 15:57
New changeset 4d26c8a177d8ada440b3cfdfb1d0423ab5ca81a7 by Yury Selivanov (Elvis Pranskevichus) in branch 'master':
bpo-32996: Enhancements to What's New based on feedback (GH-7988)
https://github.com/python/cpython/commit/4d26c8a177d8ada440b3cfdfb1d0423ab5ca81a7
msg320673 - (view) Author: miss-islington (miss-islington) Date: 2018-06-28 16:14
New changeset 48dc7527e32512a27a58107477926719ea4c589b by Miss Islington (bot) in branch '3.7':
bpo-32996: Enhancements to What's New based on feedback (GH-7988)
https://github.com/python/cpython/commit/48dc7527e32512a27a58107477926719ea4c589b
msg354363 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2019-10-10 11:11
New changeset d47f0dd2e85ce032aebfedbde18cdb2e728fa79f by Ivan Levkivskyi (M. Eric Irrgang) in branch 'master':
bpo-32996: Documentation fix-up. (GH-16646)
https://github.com/python/cpython/commit/d47f0dd2e85ce032aebfedbde18cdb2e728fa79f
msg354364 - (view) Author: miss-islington (miss-islington) Date: 2019-10-10 11:17
New changeset ca012360b103f2ab1acfa506aed032b0ed9b105c by Miss Islington (bot) in branch '3.7':
bpo-32996: Documentation fix-up. (GH-16646)
https://github.com/python/cpython/commit/ca012360b103f2ab1acfa506aed032b0ed9b105c
msg354365 - (view) Author: miss-islington (miss-islington) Date: 2019-10-10 11:19
New changeset baf8a9b03a56ce1ee2284763b267ff56ab4507fe by Miss Islington (bot) in branch '3.8':
bpo-32996: Documentation fix-up. (GH-16646)
https://github.com/python/cpython/commit/baf8a9b03a56ce1ee2284763b267ff56ab4507fe
msg354689 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-15 07:30
New changeset 49e650b2489da861d4c49b41787160f30d8259bf by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-32996: Documentation fix-up. (GH-16646)
https://github.com/python/cpython/commit/49e650b2489da861d4c49b41787160f30d8259bf
History
Date User Action Args
2019-10-15 07:30:23ned.deilysetmessages: + msg354689
2019-10-10 11:19:06miss-islingtonsetmessages: + msg354365
2019-10-10 11:17:08miss-islingtonsetmessages: + msg354364
2019-10-10 11:12:19miss-islingtonsetpull_requests: + pull_request16284
2019-10-10 11:11:46miss-islingtonsetpull_requests: + pull_request16283
2019-10-10 11:11:41levkivskyisetnosy: + levkivskyi
messages: + msg354363
2019-10-08 10:34:50eirrgangsetpull_requests: + pull_request16231
2019-10-08 10:02:00python-devsetpull_requests: + pull_request16229
2018-06-28 16:14:55miss-islingtonsetmessages: + msg320673
2018-06-28 15:58:56miss-islingtonsetpull_requests: + pull_request7600
2018-06-28 15:57:40yselivanovsetmessages: + msg320672
2018-06-28 15:47:17Elvis.Pranskevichussetpull_requests: + pull_request7599
2018-05-20 03:39:47yselivanovsetmessages: + msg317151
2018-05-20 03:34:07Elvis.Pranskevichussetpull_requests: + pull_request6651
2018-05-20 03:15:10yselivanovsetmessages: + msg317150
2018-05-19 11:11:25Elvis.Pranskevichussetmessages: + msg317112
2018-05-19 08:27:52serhiy.storchakasetmessages: + msg317108
2018-05-18 22:40:28Elvis.Pranskevichussetpull_requests: + pull_request6633
2018-03-24 10:27:46serhiy.storchakasetmessages: + msg314363
2018-03-11 21:29:49ned.deilysetnosy: + Elvis.Pranskevichus, yselivanov
messages: + msg313622
2018-03-11 20:26:27bbaylessetnosy: + bbayles
messages: + msg313620
2018-03-11 16:02:46serhiy.storchakasetmessages: + msg313603
2018-03-11 06:29:35miss-islingtonsetnosy: + miss-islington
messages: + msg313581
2018-03-11 01:49:29miss-islingtonsetpull_requests: + pull_request5832
2018-03-11 01:48:17serhiy.storchakasetmessages: + msg313577
2018-03-05 11:58:52serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5749
2018-03-05 11:56:46serhiy.storchakacreate